#4115 closed defect (fixed)

Cortex-A9 MPCore based BSPs should include the workaround for Errata 794072 and 845369

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: arch/arm Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Cloned from #4114:


The workaround may be already set up by the bootloader. Not having the workaround applied may lead to system crashes, so make sure the BSP does it during system startup.

Change History (4)

comment:1 Changed on Oct 2, 2020 at 9:37:11 AM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Oct 5, 2020 at 6:47:22 AM by Sebastian Huber

Description: modified (diff)
Summary: Cortex-A9 MPCore based BSPs should include the workaround for Errata 845369 (cloned)Cortex-A9 MPCore based BSPs should include the workaround for Errata 794072 and 845369

comment:3 Changed on Oct 16, 2020 at 4:39:13 AM by Sebastian Huber <sebastian.huber@…>

In e7b878e/rtems:

bsps/arm: Workaround for Errata 845369

Add a workaround for Cortex-A9 Errata 845369: Under Very Rare Timing
Circumstances Transition into Streaming Mode Might Create Data Corruption.

Update #4115.

comment:4 Changed on Oct 16, 2020 at 4:39:17 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In cf16821/rtems:

bsps/arm: Add workaround for Errata 794072

Add a workaround for Cortex-A9 Errata 845369: A short loop including a DMB
instruction might cause a denial of service on another which executes a CP15
broadcast operation.

Close #4115.

Note: See TracTickets for help on using tickets.